window.onload = function fncOnLoad(){
	try{
		
		var strHtml = "";
		// 以下のクエリの"?chapter="9文字分から後ろのチャプター名を取得
		// "print_category.html?chapter=チャプター名"
		var strChapter = document.location.search.substring(9);

		// スペース（%20）などのデコード
		strChapter = decodeURI(strChapter);

		var t = eval(toc);
//		var strDelimiterBegin = "<content_begin />";
//		var strDelimiterEnd = "<content_end />";
		// content_begin、content_endが現状存在しないため、アクセス方法を変更
		var strBodyTagBegin = "<body>";
		var strBodyTagEnd = "</body>";
		for(var i = 0; i < t.length; i++){
			if(t[i].chapter != strChapter){
				continue;
			}
			if(!t[i].href){
				continue;
			}
			strTemp = fncGetPage("../contents/" + t[i].href);
			if(strTemp){
/*				strTemp = strTemp.substring(
					strTemp.indexOf(strDelimiterBegin),
					strTemp.lastIndexOf(strDelimiterEnd)
				);
				strHtml += strTemp;
*/
				// bodyタグの後ろから、bodyタグ手前まで切り出し
				strTemp = strTemp.substring(
					strTemp.indexOf(strBodyTagBegin) + strBodyTagBegin.length,
					strTemp.lastIndexOf(strBodyTagEnd)
				);

				// DOMアクセスをするために、bodyに一時的に流し込み（上書き）
				document.body.innerHTML = strTemp;

				// プリント対象部分を抽出
				if (document.getElementById("id_contents_show")) {
					strTemp = document.getElementById("id_contents_show").innerHTML;
				}

				strHtml += strTemp;
			}
		}
		document.body.innerHTML = strHtml;

		window.print();
		window.close();
	}catch(e){
		if(e.description){
			alert(e.description);
		}else{
			alert(e);
		}
	}
}